<?xml version="1.0" encoding="UTF-8"?>
<scr:component xmlns:scr="http://www.osgi.org/xmlns/scr/v1.3.0" name="com.liferay.layout.content.page.editor.web.internal.portlet.action.DuplicateItemMVCActionCommand">
  <property name="javax.portlet.name" type="String" value="com_liferay_layout_content_page_editor_web_internal_portlet_ContentPageEditorPortlet"/>
  <property name="mvc.command.name" type="String" value="/layout_content_page_editor/duplicate_item"/>
  <service>
    <provide interface="com.liferay.portal.kernel.portlet.bridges.mvc.MVCActionCommand"/>
  </service>
  <reference name="_contentManager" interface="com.liferay.layout.content.page.editor.web.internal.util.ContentManager" field="_contentManager"/>
  <reference name="_fragmentEntryLinkListenerRegistry" interface="com.liferay.fragment.listener.FragmentEntryLinkListenerRegistry" field="_fragmentEntryLinkListenerRegistry"/>
  <reference name="_fragmentEntryLinkLocalService" interface="com.liferay.fragment.service.FragmentEntryLinkLocalService" field="_fragmentEntryLinkLocalService"/>
  <reference name="_fragmentEntryLinkManager" interface="com.liferay.layout.content.page.editor.web.internal.util.FragmentEntryLinkManager" field="_fragmentEntryLinkManager"/>
  <reference name="_fragmentEntryLinkService" interface="com.liferay.fragment.service.FragmentEntryLinkService" field="_fragmentEntryLinkService"/>
  <reference name="_jsonFactory" interface="com.liferay.portal.kernel.json.JSONFactory" field="_jsonFactory"/>
  <reference name="_language" interface="com.liferay.portal.kernel.language.Language" field="_language"/>
  <reference name="_portal" interface="com.liferay.portal.kernel.util.Portal" field="_portal"/>
  <reference name="_portletLocalService" interface="com.liferay.portal.kernel.service.PortletLocalService" field="_portletLocalService"/>
  <reference name="_portletPreferencesFactory" interface="com.liferay.portal.kernel.portlet.PortletPreferencesFactory" field="_portletPreferencesFactory"/>
  <reference name="_portletPreferencesLocalService" interface="com.liferay.portal.kernel.service.PortletPreferencesLocalService" field="_portletPreferencesLocalService"/>
  <reference name="_resourcePermissionLocalService" interface="com.liferay.portal.kernel.service.ResourcePermissionLocalService" field="_resourcePermissionLocalService"/>
  <reference name="_roleLocalService" interface="com.liferay.portal.kernel.service.RoleLocalService" field="_roleLocalService"/>
  <reference name="layoutLockManager" interface="com.liferay.layout.manager.LayoutLockManager" field="layoutLockManager"/>
  <implementation class="com.liferay.layout.content.page.editor.web.internal.portlet.action.DuplicateItemMVCActionCommand"/>
</scr:component>
